Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Bug Can't open project on Unity 2023.2.0f1 on MacOS Ventura

Discussion in 'macOS' started by Marks4, Nov 22, 2023.

  1. Marks4

    Marks4

    Joined:
    Feb 25, 2018
    Posts:
    516
    upload_2023-11-22_10-7-15.png


    I already uninstalled and reinstalled Unity 2023, tried restarting the Mac, nothing works. Anyone knows how to work around this issue? It doesn't happen with Unity 2021.
     
  2. maximeb_unity

    maximeb_unity

    Unity Technologies

    Joined:
    Mar 20, 2018
    Posts:
    542
    Hi @Marks4 ,

    The error message indicates that the package manager program could not be found at the specified path. Can you see if you do find the file there?

    Also, are you using a Mac with an Intel chip (the older models) or a M1/M2 aka Silicon chip (newer models)?
     
  3. Marks4

    Marks4

    Joined:
    Feb 25, 2018
    Posts:
    516
    I solved the issue with the answer I found here. However, now I get a different error

    upload_2023-11-22_11-26-37.png

    > Also, are you using a Mac with an Intel chip (the older models) or a M1/M2 aka Silicon chip (newer models)?

    Intel chip.
     
  4. Marks4

    Marks4

    Joined:
    Feb 25, 2018
    Posts:
    516
    I solved the last issue by simply deleting the project and creating it again. Go figure. For future reference, the Unity package error can be solved by replacing the Unity.app outside with the Unity.app inside the Unity folder, and the Unity folder can be deleted. The final folder structure will look the same as Unity 2021

    upload_2023-11-22_11-39-26.png

    For some reason the installation always corrupts for Unity 2023, and apparently this problem is a long standing one, it was first reported on 2020 at least, and never fixed. I was lucky to have found that thread.
     
    durektor likes this.
  5. maximeb_unity

    maximeb_unity

    Unity Technologies

    Joined:
    Mar 20, 2018
    Posts:
    542
    I'm sorry you've run into trouble, but I'm glad you could solve the problem!

    Can you tell me what version of the Hub you are using?
     
  6. Marks4

    Marks4

    Joined:
    Feb 25, 2018
    Posts:
    516
    I'm using the latest Unity Hub version, 3.6.1. It might be worth looking into this issue, many others have reported and experienced it before me.
     
  7. maximeb_unity

    maximeb_unity

    Unity Technologies

    Joined:
    Mar 20, 2018
    Posts:
    542
    Indeed, I've seen this before. Thanks for providing these details, I'm forwarding this information to the relevant team.
     
    Marks4 likes this.
  8. Marks4

    Marks4

    Joined:
    Feb 25, 2018
    Posts:
    516
    Please notice that I got the error even with the firewall disabled and I have no antivirus. So I really think it's an issue with the installer.
     
    maximeb_unity likes this.